import {
  AntDesign,
  Entypo,
  FontAwesome,
  Ionicons,
  MaterialCommunityIcons,
} from "@expo/vector-icons";

export type AntDesignIconNames = keyof typeof AntDesign.glyphMap;
export type EntypoIconNames = keyof typeof Entypo.glyphMap;
export type FontAwesomeIconNames = keyof typeof FontAwesome.glyphMap;
export type FontAwesome6IconNames =
  | "person-running"
  | "person-walking"
  | "person-hiking"
  | "skateboarding"
  | "bike"
  | "basketball"
  | "heart"
  | "yoga"
  | "setting"
  | "beer"
  | "shield-heart"
  | "weight-scale";
export type CommunityIconNames = keyof typeof MaterialCommunityIcons.glyphMap;
export type IonIconNames = keyof typeof Ionicons.glyphMap;
