import React from "react";
import Slider, { SliderProps } from "@react-native-community/slider";

export default React.forwardRef<any, SliderProps>(
  ({ ...props }, ref): React.ReactElement => {
    return (
      <Slider
        step={1}
        thumbTintColor="#F97316"
        minimumTrackTintColor="#F97316"
        maximumTrackTintColor="#F97316"
        {...ref}
        {...props}
      />
    );
  }
);
