export const Goals = [
  "WEIGHT_LOSE",
  "IMPROVE_MUSCLE",
  "WEIGHT_GAIN",
  "IMPROVE_STAMINA",
  "KEEP_FIT",
] as const;

export const SportLevels = [
  "NOT_SPORTY",
  "BEGINNER",
  "SPORTY",
  "VERY_SPORTY",
  "PERFORMER",
] as const;

export const Sports = [
  "RUNNING",
  "WALKING",
  "RANDO",
  "SKATEBOARD",
  "BIKING",
  "BASKETBALL",
  "CARDIO",
  "YOGA",
  "ELSE",
] as const;

export const SleepLevels = [
  "TERRIBLE",
  "VERY_BAD",
  "BAD",
  "GOOD",
  "EXCELLENT",
] as const;

export type EGoal = (typeof Goals)[number];
export type ESportLevel = (typeof SportLevels)[number];
export type ESport = (typeof Sports)[number];
export type ESleepLevel = (typeof SleepLevels)[number];

export type EHealthProblem = "ARTHROSE" | "MIGRAINE";
